package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-26 10:02:26
 * 实体【[流程日志](WF_FLOW_LOG)】的Entity类
 */
@SwTable("WF_FLOW_LOG")
public class FlowLog extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_FLOW_LOG";

    public FlowLog() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("wfl_id");
    }

    /**
     * 主键
     */
    public void setId(long wfl_id) {
        put("wfl_id", wfl_id);
    }

    /**
     * 单据id
     */
    public long getPriId() {
        return getLong("wfl_pri_id");
    }

    /**
     * 单据id
     */
    public void setPriId(long wfl_pri_id) {
        put("wfl_pri_id", wfl_pri_id);
    }

    /**
     * 操作人
     */
    public long getUsrId() {
        return getLong("wfl_usr_id");
    }

    /**
     * 操作人
     */
    public void setUsrId(long wfl_usr_id) {
        put("wfl_usr_id", wfl_usr_id);
    }

    /**
     * 步骤id
     */
    public long getActId() {
        return getLong("wfl_act_id");
    }

    /**
     * 步骤id
     */
    public void setActId(long wfl_act_id) {
        put("wfl_act_id", wfl_act_id);
    }

    /**
     * 步骤名
     */
    public String getActName() {
        return getStr("wfl_act_name");
    }

    /**
     * 步骤名
     */
    public void setActName(String wfl_act_name) {
        put("wfl_act_name", wfl_act_name);
    }

    /**
     * 操作
     */
    public String getOpt() {
        return getStr("wfl_opt");
    }

    /**
     * 操作
     */
    public void setOpt(String wfl_opt) {
        put("wfl_opt", wfl_opt);
    }

    /**
     * 提交信息
     */
    public String getInfo() {
        return getStr("wfl_info");
    }

    /**
     * 提交信息
     */
    public void setInfo(String wfl_info) {
        put("wfl_info", wfl_info);
    }

    /**
     * 意见
     */
    public String getComment() {
        return getStr("wfl_comment");
    }

    /**
     * 意见
     */
    public void setComment(String wfl_comment) {
        put("wfl_comment", wfl_comment);
    }

    /**
     * 操作时间
     */
    public long getTime() {
        return getLong("wfl_time");
    }

    /**
     * 操作时间
     */
    public void setTime(long wfl_time) {
        put("wfl_time", wfl_time);
    }
}
